Hi Masahiro,

On 28 January 2018 at 21:42, Masahiro Yamada
<yamada.masah...@socionext.com> wrote:
> 2018-01-29 13:26 GMT+09:00 Simon Glass <s...@chromium.org>:
>> Hi Masahiro,
>>
>> On 27 January 2018 at 14:28, Masahiro Yamada
>> <yamada.masah...@socionext.com> wrote:
>>> Hi Simon,
>>>
>>>
>>> 2018-01-27 0:27 GMT+09:00 Simon Glass <s...@chromium.org>:
>>>> Hi Masahiro,
>>>>
>>>> On 21 January 2018 at 02:34, Masahiro Yamada
>>>> <yamada.masah...@socionext.com> wrote:
>>>>> All of these host tools are apparently written for Python2,
>>>>> not Python3.
>>>>>
>>>>> Use 'python2' in the shebang line according to PEP 394
>>>>> (https://www.python.org/dev/peps/pep-0394/).
>>>>>
>>>>> Signed-off-by: Masahiro Yamada <yamada.masah...@socionext.com>
>>>>> ---
>>>>>
>>>>> I sent some time before figuring out why Patman does not work
>>>>> on my machine.
>>>>>
>>>>> If 'python' points to python3, Patman does not epit any error
>>>>> message, it just stays silent until it consumes all memory
>>>>> on the system.
>>>>>
>>>>>
>>>>>  scripts/dtc/pylibfdt/setup.py | 2 +-
>>>>>  scripts/mailmapper            | 2 +-
>>>>>  test/py/test.py               | 2 +-
>>>>>  tools/buildman/buildman.py    | 2 +-
>>>>>  tools/dtoc/dtoc.py            | 2 +-
>>>>>  tools/microcode-tool.py       | 2 +-
>>>>>  tools/patman/patman.py        | 2 +-
>>>>>  tools/rkmux.py                | 2 +-
>>>>>  8 files changed, 8 insertions(+), 8 deletions(-)
>>>>
>>>> Reviewed-by: Simon Glass <s...@chromium.org>
>>>>
>>>> I can repeat that problem. There has been some effort to make patman
>>>> (in particular) work with python 3. Should we fix the bug? This change
>>>> will mask it.
>>>>
>>>
>>> I do not think this is a bug.
>>>
>>> If 'python2' is specified in the shebang line,
>>> users should not run it under python 3.
>>
>> I mean the bug that makes patman hang. I thought that patman ran with
>> Python 3. It has been converted but apparently does not run.
>
>
> I was misunderstanding.
>
> I thought patman was expected to work only for python2.
>
> From the following commits, the intention was
> it was compatible both python 2 and python 3.
>
> commit 2ce7b21e6c98301f9b05daac076db33d498cfbe1
> Author: Paul Burton <paul.bur...@imgtec.com>
> Date:   Tue Sep 27 16:03:52 2016 +0100
>
>     patman: Import 'configparser' lower case to be python 3.x safe
>
> commit ac3fde9394ce90503930026c62ffd94bf7fa09fd
> Author: Paul Burton <paul.bur...@imgtec.com>
> Date:   Tue Sep 27 16:03:51 2016 +0100
>
>     patman: Make exception handling python 3.x safe
>
> commit a920a17b2f418535870788ae81234dc6b8aa6661
> Author: Paul Burton <paul.bur...@imgtec.com>
> Date:   Tue Sep 27 16:03:50 2016 +0100
>
>     patman: Make print statements python 3.x safe
>
>
>
> Anybody who has ever tested it really on python 3?

I did think that it worked at one point, but I am not sure.

Regards,
Simon
_______________________________________________
U-Boot mailing list
U-Boot@lists.denx.de
https://lists.denx.de/listinfo/u-boot

Reply via email to